	real*8 function epoch0(yr0,doy,tod)
c ep0 is epoch at start of 20th cent.
c tod - time of doy in seconds
c doy - day of year starting at 1 = January,1
	integer*4 yr,yr0,doy
	real*8 tod
	real*8 ep0/ 5.99582304d13/ 
        yr = yr0
        yr = mod(yr,100)
	epoch0 = (yr*365d0 + ((yr-1)/4) + doy-1)*8.64d7 +tod*1000.d0 + ep0
	return
	end
